/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * Copyright (C) 2019 Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#include "settingscommon.h"

#include <QGuiApplication>
#include <QDebug>

bool SettingsCommon::isWaylandEnv()
{
    if (qgetenv("XDG_SESSION_TYPE") == "wayland")
        return true;
    if (QGuiApplication::platformName().contains(QLatin1String("wayland")))
        return true;

    qDebug() << "It is not wayland environment XDG_SESSION_TYPE:" << qgetenv("XDG_SESSION_TYPE")
             << "QPA:" << QGuiApplication::platformName();
    return false;
}
